Package com.pixelmed.dicom

## Class MoveDicomFilesIntoHierarchy.FolderNamingStrategy

- java.lang.Object
- - com.pixelmed.dicom.MoveDicomFilesIntoHierarchy.FolderNamingStrategy

- Enclosing class:
    MoveDicomFilesIntoHierarchy

      public class MoveDicomFilesIntoHierarchy.FolderNamingStrategy
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `instanceByNumber` |
    `static int` | `instanceByNumberAnatomyLateralityView` |
    `static int` | `instanceByUID` |
    `static int` | `instanceByUIDUncleaned` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FolderNamingStrategy()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instanceByUID

          public static final int instanceByUID

      See Also:
        Constant Field Values

    - #### instanceByNumber

          public static final int instanceByNumber

      See Also:
        Constant Field Values

    - #### instanceByNumberAnatomyLateralityView

          public static final int instanceByNumberAnatomyLateralityView

      See Also:
        Constant Field Values

    - #### instanceByUIDUncleaned

          public static final int instanceByUIDUncleaned

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FolderNamingStrategy

          public FolderNamingStrategy()